PATHCHK(1L)

NAME
pathchk - check whether pathnames are valid or portable

SYNOPSIS
pathchk [-p] [--portability] [--help] [--version] path...

DESCRIPTION
This manual page documents the GNU version of pathchk. For each path, pathchk prints a message if any of these conditions are false:
• all existing directories in path have search (execute) permission
• the length of path <= its filesystem's maximum path length
• the length of each existing directory in path <= its filesystem's maximum file name legnth

The exit status is:
0 if all path names passed all of the tests,
1 otherwise.

  OPTIONS

--help
    Print a usage message on standard output and exit successfully.

-p, --portability
    Instead of performing length checks on the underlying filesystem, test the length of the pathname and its components against the POSIX.1 minimum limits for portability. Also check that the pathname contains no characters not in the portable filename character set.

--version
    Print version information on standard output then exit successfully.